## AgsTremoloUtil

AgsTremoloUtil — Boxed type of tremolo util

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsTremoloUtil * | ags_tremolo_util_alloc ()
gpointer | ags_tremolo_util_copy ()
void | ags_tremolo_util_free ()
gpointer | ags_tremolo_util_get_destination ()
void | ags_tremolo_util_set_destination ()
guint | ags_tremolo_util_get_destination_stride ()
void | ags_tremolo_util_set_destination_stride ()
gpointer | ags_tremolo_util_get_source ()
void | ags_tremolo_util_set_source ()
guint | ags_tremolo_util_get_source_stride ()
void | ags_tremolo_util_set_source_stride ()
guint | ags_tremolo_util_get_buffer_length ()
void | ags_tremolo_util_set_buffer_length ()
AgsSoundcardFormat | ags_tremolo_util_get_format ()
void | ags_tremolo_util_set_format ()
guint | ags_tremolo_util_get_samplerate ()
void | ags_tremolo_util_set_samplerate ()
gdouble | ags_tremolo_util_get_tremolo_gain ()
void | ags_tremolo_util_set_tremolo_gain ()
gdouble | ags_tremolo_util_get_tremolo_lfo_depth ()
void | ags_tremolo_util_set_tremolo_lfo_depth ()
gdouble | ags_tremolo_util_get_tremolo_lfo_freq ()
void | ags_tremolo_util_set_tremolo_lfo_freq ()
gdouble | ags_tremolo_util_get_tremolo_tuning ()
void | ags_tremolo_util_set_tremolo_tuning ()
guint | ags_tremolo_util_get_frame_count ()
void | ags_tremolo_util_set_frame_count ()
guint | ags_tremolo_util_get_offset ()
void | ags_tremolo_util_set_offset ()
gboolean | ags_tremolo_util_get_note_256th_mode ()
void | ags_tremolo_util_set_note_256th_mode ()
guint | ags_tremolo_util_get_offset_256th ()
void | ags_tremolo_util_set_offset_256th ()
void | ags_tremolo_util_compute_s8 ()
void | ags_tremolo_util_compute_s16 ()
void | ags_tremolo_util_compute_s24 ()
void | ags_tremolo_util_compute_s32 ()
void | ags_tremolo_util_compute_s64 ()
void | ags_tremolo_util_compute_float ()
void | ags_tremolo_util_compute_double ()
void | ags_tremolo_util_compute_complex ()
void | ags_tremolo_util_compute ()

## Types and Values

#define | AGS_TREMOLO_UTIL_INITIALIZER

## Object Hierarchy

        GBoxed
        ╰── AgsTremoloUtil

## Includes

    #include <ags/audio/ags_tremolo_util.h>

## Description

Boxed type of tremolo util data type.

## Functions

### ags_tremolo_util_alloc ()

    AgsTremoloUtil *
    ags_tremolo_util_alloc ();

Allocate AgsTremoloUtil

#### Returns

a new AgsTremoloUtil

Since: 5.2.0

### ags_tremolo_util_copy ()

    gpointer
    ags_tremolo_util_copy (AgsTremoloUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsTremoloUtil |

#### Returns

a pointer of the new AgsTremoloUtil

Since: 5.2.0

### ags_tremolo_util_free ()

    void
    ags_tremolo_util_free (AgsTremoloUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsTremoloUtil |

Since: 5.2.0

### ags_tremolo_util_get_destination ()

    gpointer
    ags_tremolo_util_get_destination (AgsTremoloUtil *tremolo_util);

Get destination buffer of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

the destination buffer

Since: 5.2.0

### ags_tremolo_util_set_destination ()

    void
    ags_tremolo_util_set_destination (AgsTremoloUtil *tremolo_util,
                                      gpointer destination);

Set `destination` buffer of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
destination | the destination buffer. | [transfer none]

Since: 5.2.0

### ags_tremolo_util_get_destination_stride ()

    guint
    ags_tremolo_util_get_destination_stride
                                   (AgsTremoloUtil *tremolo_util);

Get destination stride of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

the destination buffer stride

Since: 5.2.0

### ags_tremolo_util_set_destination_stride ()

    void
    ags_tremolo_util_set_destination_stride
                                   (AgsTremoloUtil *tremolo_util,
                                    guint destination_stride);

Set `destination` stride of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
destination_stride | the destination buffer stride |

Since: 5.2.0

### ags_tremolo_util_get_source ()

    gpointer
    ags_tremolo_util_get_source (AgsTremoloUtil *tremolo_util);

Get source buffer of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

the source buffer

Since: 5.2.0

### ags_tremolo_util_set_source ()

    void
    ags_tremolo_util_set_source (AgsTremoloUtil *tremolo_util,
                                 gpointer source);

Set `source` buffer of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
source | the source buffer. | [transfer none]

Since: 5.2.0

### ags_tremolo_util_get_source_stride ()

    guint
    ags_tremolo_util_get_source_stride (AgsTremoloUtil *tremolo_util);

Get source stride of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

the source buffer stride

Since: 5.2.0

### ags_tremolo_util_set_source_stride ()

    void
    ags_tremolo_util_set_source_stride (AgsTremoloUtil *tremolo_util,
                                        guint source_stride);

Set `source` stride of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
source_stride | the source buffer stride |

Since: 5.2.0

### ags_tremolo_util_get_buffer_length ()

    guint
    ags_tremolo_util_get_buffer_length (AgsTremoloUtil *tremolo_util);

Get buffer length of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

the buffer length

Since: 5.2.0

### ags_tremolo_util_set_buffer_length ()

    void
    ags_tremolo_util_set_buffer_length (AgsTremoloUtil *tremolo_util,
                                        guint buffer_length);

Set `buffer_length` of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
buffer_length | the buffer length |

Since: 5.2.0

### ags_tremolo_util_get_format ()

    AgsSoundcardFormat
    ags_tremolo_util_get_format (AgsTremoloUtil *tremolo_util);

Get format of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

the format

Since: 5.2.0

### ags_tremolo_util_set_format ()

    void
    ags_tremolo_util_set_format (AgsTremoloUtil *tremolo_util,
                                 AgsSoundcardFormat format);

Set `format` of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
format | the format |

Since: 5.2.0

### ags_tremolo_util_get_samplerate ()

    guint
    ags_tremolo_util_get_samplerate (AgsTremoloUtil *tremolo_util);

Get buffer length of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

the buffer length

Since: 5.2.0

### ags_tremolo_util_set_samplerate ()

    void
    ags_tremolo_util_set_samplerate (AgsTremoloUtil *tremolo_util,
                                     guint samplerate);

Set `samplerate` of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
samplerate | the buffer length |

Since: 5.2.0

### ags_tremolo_util_get_tremolo_gain ()

    gdouble
    ags_tremolo_util_get_tremolo_gain (AgsTremoloUtil *tremolo_util);

Get tremolo gain of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

the tremolo gain

Since: 5.2.0

### ags_tremolo_util_set_tremolo_gain ()

    void
    ags_tremolo_util_set_tremolo_gain (AgsTremoloUtil *tremolo_util,
                                       gdouble tremolo_gain);

Set `tremolo_gain` of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
tremolo_gain | the tremolo gain |

Since: 5.2.0

### ags_tremolo_util_get_tremolo_lfo_depth ()

    gdouble
    ags_tremolo_util_get_tremolo_lfo_depth
                                   (AgsTremoloUtil *tremolo_util);

Get tremolo LFO depth of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

the tremolo LFO depth

Since: 5.2.0

### ags_tremolo_util_set_tremolo_lfo_depth ()

    void
    ags_tremolo_util_set_tremolo_lfo_depth
                                   (AgsTremoloUtil *tremolo_util,
                                    gdouble tremolo_lfo_depth);

Set `tremolo_lfo_depth` of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
tremolo_lfo_depth | the tremolo LFO depth |

Since: 5.2.0

### ags_tremolo_util_get_tremolo_lfo_freq ()

    gdouble
    ags_tremolo_util_get_tremolo_lfo_freq (AgsTremoloUtil *tremolo_util);

Get tremolo LFO freq of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

the tremolo LFO freq

Since: 5.2.0

### ags_tremolo_util_set_tremolo_lfo_freq ()

    void
    ags_tremolo_util_set_tremolo_lfo_freq (AgsTremoloUtil *tremolo_util,
                                           gdouble tremolo_lfo_freq);

Set `tremolo_lfo_freq` of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
tremolo_lfo_freq | the tremolo LFO freq |

Since: 5.2.0

### ags_tremolo_util_get_tremolo_tuning ()

    gdouble
    ags_tremolo_util_get_tremolo_tuning (AgsTremoloUtil *tremolo_util);

Get tremolo tuning of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

the tremolo tuning

Since: 5.2.0

### ags_tremolo_util_set_tremolo_tuning ()

    void
    ags_tremolo_util_set_tremolo_tuning (AgsTremoloUtil *tremolo_util,
                                         gdouble tremolo_tuning);

Set `tremolo_tuning` of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
tremolo_tuning | the tremolo tuning |

Since: 5.2.0

### ags_tremolo_util_get_frame_count ()

    guint
    ags_tremolo_util_get_frame_count (AgsTremoloUtil *tremolo_util);

Get frame count of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

the frame count

Since: 6.1.0

### ags_tremolo_util_set_frame_count ()

    void
    ags_tremolo_util_set_frame_count (AgsTremoloUtil *tremolo_util,
                                      guint frame_count);

Set `frame_count` of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
frame_count | the frame count |

Since: 6.1.0

### ags_tremolo_util_get_offset ()

    guint
    ags_tremolo_util_get_offset (AgsTremoloUtil *tremolo_util);

Get offset of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

the offset

Since: 6.1.0

### ags_tremolo_util_set_offset ()

    void
    ags_tremolo_util_set_offset (AgsTremoloUtil *tremolo_util,
                                 guint offset);

Set `offset` of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
offset | the offset |

Since: 6.1.0

### ags_tremolo_util_get_note_256th_mode ()

    gboolean
    ags_tremolo_util_get_note_256th_mode (AgsTremoloUtil *tremolo_util);

Get note 256th mode of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

`TRUE` if note 256th mode, otherwise `FALSE`

Since: 6.1.0

### ags_tremolo_util_set_note_256th_mode ()

    void
    ags_tremolo_util_set_note_256th_mode (AgsTremoloUtil *tremolo_util,
                                          gboolean note_256th_mode);

Set `note_256th_mode` of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
note_256th_mode | the note 256th mode |

Since: 6.1.0

### ags_tremolo_util_get_offset_256th ()

    guint
    ags_tremolo_util_get_offset_256th (AgsTremoloUtil *tremolo_util);

Get offset as note 256th of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |

#### Returns

the offset as note 256th

Since: 6.1.0

### ags_tremolo_util_set_offset_256th ()

    void
    ags_tremolo_util_set_offset_256th (AgsTremoloUtil *tremolo_util,
                                       guint offset_256th);

Set `offset_256th` of `tremolo_util` .

#### Parameters

tremolo_util | the AgsTremoloUtil |
offset_256th | the offset as note 256th |

Since: 6.1.0

### ags_tremolo_util_compute_s8 ()

    void
    ags_tremolo_util_compute_s8 (AgsTremoloUtil *tremolo_util);

Compute tremolo of signed 8 bit data.

#### Parameters

tremolo_util | the AgsTremoloUtil |

Since: 5.2.0

### ags_tremolo_util_compute_s16 ()

    void
    ags_tremolo_util_compute_s16 (AgsTremoloUtil *tremolo_util);

Compute tremolo of signed 16 bit data.

#### Parameters

tremolo_util | the AgsTremoloUtil |

Since: 5.2.0

### ags_tremolo_util_compute_s24 ()

    void
    ags_tremolo_util_compute_s24 (AgsTremoloUtil *tremolo_util);

Compute tremolo of signed 24 bit data.

#### Parameters

tremolo_util | the AgsTremoloUtil |

Since: 5.2.0

### ags_tremolo_util_compute_s32 ()

    void
    ags_tremolo_util_compute_s32 (AgsTremoloUtil *tremolo_util);

Compute tremolo of signed 32 bit data.

#### Parameters

tremolo_util | the AgsTremoloUtil |

Since: 5.2.0

### ags_tremolo_util_compute_s64 ()

    void
    ags_tremolo_util_compute_s64 (AgsTremoloUtil *tremolo_util);

Compute tremolo of signed 64 bit data.

#### Parameters

tremolo_util | the AgsTremoloUtil |

Since: 5.2.0

### ags_tremolo_util_compute_float ()

    void
    ags_tremolo_util_compute_float (AgsTremoloUtil *tremolo_util);

Compute tremolo of floating point data.

#### Parameters

tremolo_util | the AgsTremoloUtil |

Since: 5.2.0

### ags_tremolo_util_compute_double ()

    void
    ags_tremolo_util_compute_double (AgsTremoloUtil *tremolo_util);

Compute tremolo of double floating point data.

#### Parameters

tremolo_util | the AgsTremoloUtil |

Since: 5.2.0

### ags_tremolo_util_compute_complex ()

    void
    ags_tremolo_util_compute_complex (AgsTremoloUtil *tremolo_util);

Compute tremolo of complex floating point data.

#### Parameters

tremolo_util | the AgsTremoloUtil |

Since: 5.2.0

### ags_tremolo_util_compute ()

    void
    ags_tremolo_util_compute (AgsTremoloUtil *tremolo_util);

Compute tremolo.

#### Parameters

tremolo_util | the AgsTremoloUtil |

Since: 5.2.0

## Types and Values

### AGS_TREMOLO_UTIL_INITIALIZER

    #define             AGS_TREMOLO_UTIL_INITIALIZER